Solved Upgrading to 1.15

Discussion in 'Spigot Plugin Development' started by SupremeCoder101, Jan 10, 2020.

  1. How to upgrade plugins to 1.15.1 without rewriting all the code. I’m on v1.14.4
     
  2. You won't have to re-write anything really.
    The only changes in the API were removing some old deprecated code (which people shouldn't have been using since like 1.10), and added the new BEE related stuff.
     
    • Agree Agree x 2
  3. if you are using eclipse, go into the build path, configure build path, and then remove the old spigot API, and put in the new API.
    If you have declared API-version in the plugin.yml then change it too.
    then you pretty much changed the plugin to 1.15.
    Maybe go through your code to see if there are any errors, or warnings
     
    • Agree Agree x 1
  4. I’m using IntelliJ Idea and I’m using a plugin that presets the version. This is my plugin.yml. What do I have to change.


    Code (YAML):
    name: SundewValley
    version
    : ${project.version}
    main
    : com.xenfo.sundewvalley.Main
    api-version
    : 1.13
    authors
    : [Xenfo, SupremeCoder101]
    description
    : Sundew Valley Plugin

    commands
    :
      economy
    :
        aliases
    : [e]
        description
    : Do [/economy help] for more help.
     
     
  5. change the
    api-version: 1.13
    to
    api-version: 1.15

    (This is not 100% necessary, some features require api-version: 1.13)
     
  6. Ok thanks for the help
     
    • Like Like x 1